<?php
// خواندن مقادیر از فایل‌های متنی (اگر وجود داشته باشند)
$systemRole = file_exists('system_role.txt') ? file_get_contents('system_role.txt') : '';
$userRole = file_exists('user_role.txt') ? file_get_contents('user_role.txt') : '';
$predefinedText = file_exists('predefined_text.txt') ? file_get_contents('predefined_text.txt') : '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // دریافت مقادیر از فرم
    $systemRole = $_POST['system_role'];
    $userRole = $_POST['user_role'];
    $predefinedText = $_POST['predefined_text'];

    // ذخیره‌سازی در فایل‌های متنی
    file_put_contents('system_role.txt', $systemRole);
    file_put_contents('user_role.txt', $userRole);
    file_put_contents('predefined_text.txt', $predefinedText);

    echo "<div class='alert alert-success text-center'>مقادیر با موفقیت ذخیره شدند!</div>";
}
?>

<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ذخیره‌سازی متغیرها</title>
    <!-- اضافه کردن بوت‌استرپ -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            font-family: 'Vazir', Arial, sans-serif;
            background-color: #f8f9fa;
        }
        .container {
            margin-top: 50px;
        }
        textarea {
            resize: none;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="card shadow">
            <div class="card-header bg-primary text-white text-center">
                <h1>ذخیره‌سازی متغیرها</h1>
            </div>
            <div class="card-body">
                <form method="POST" action="">
                    <div class="mb-3">
                        <label for="system_role" class="form-label">نقش سیستم:</label>
                        <input type="text" class="form-control" id="system_role" name="system_role" 
                               placeholder="مثال: شما یک دستیار هوشمند هستید." 
                               value="<?php echo htmlspecialchars($systemRole); ?>">
                    </div>
                    <div class="mb-3">
                        <label for="user_role" class="form-label">نقش کاربر:</label>
                        <input type="text" class="form-control" id="user_role" name="user_role" 
                               placeholder="مثال: من یک توسعه‌دهنده هستم." 
                               value="<?php echo htmlspecialchars($userRole); ?>">
                    </div>
                    <div class="mb-3">
                        <label for="predefined_text" class="form-label">متن پیش‌فرض:</label>
                        <textarea class="form-control" id="predefined_text" name="predefined_text" rows="10" 
                                  placeholder="متن پیش‌فرض را وارد کنید..."><?php echo htmlspecialchars($predefinedText); ?></textarea>
                    </div>
                    <button type="submit" class="btn btn-primary w-100">ذخیره</button>
                </form>
            </div>
        </div>
    </div>

    <!-- اضافه کردن اسکریپت‌های بوت‌استرپ -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>